﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <MinimumVisualStudioVersion>10.0</MinimumVisualStudioVersion>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{163D03A7-AF56-4BC5-8F74-6E1ABD3D50DB}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>CoreSDK</RootNamespace>
    <AssemblyName>CoreSDK.MicroFramework.XamarinForms</AssemblyName>
    <DefaultLanguage>en-US</DefaultLanguage>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{786C830F-07A1-408B-BD7F-6EE04809D6DB};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <TargetFrameworkProfile>Profile259</TargetFrameworkProfile>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\..\MySodexoApp\</SolutionDir>
    <RestorePackages>true</RestorePackages>
    <NuGetPackageImportStamp>b87be413</NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <!-- A reference to the entire .NET Framework is automatically included -->
    <ProjectReference Include="..\CoreSDK.MicroFramework\CoreSDK.MicroFramework.csproj">
      <Project>{371cfa36-6487-4453-bf52-2b8fe5c00278}</Project>
      <Name>CoreSDK.MicroFramework</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Behaviors\AutoClosePopInBehaviour.cs" />
    <Compile Include="Behaviors\BurgerListViewItemClickBehaviour.cs" />
    <Compile Include="Behaviors\ListViewRefreshBehavior.cs" />
    <Compile Include="Behaviors\PopInCloseBehaviour.cs" />
    <Compile Include="Behaviors\BurgerSwipeBehaviour.cs" />
    <Compile Include="Behaviors\CheckBoxBehaviour.cs" />
    <Compile Include="Behaviors\RepeaterUpdateBehaviour.cs" />
    <Compile Include="Behaviors\ViewButtonBehaviour.cs" />
    <Compile Include="Behaviors\GridButtonBehaviour.cs" />
    <Compile Include="Behaviors\StackButtonBehaviour.cs" />
    <Compile Include="Behaviors\ActivityIndicatorBehavior.cs" />
    <Compile Include="Behaviors\ApplicationStateBehavior.cs" />
    <Compile Include="Behaviors\EnableApplicationStateBehavior.cs" />
    <Compile Include="Behaviors\VisibleApplicationStateBehavior.cs" />
    <Compile Include="BindingContextResolver.cs" />
    <Compile Include="ContentViews\constants.cs" />
    <Compile Include="ContentViews\StatusFilterContentView.cs" />
    <Compile Include="Controls\BoldFontLabel.cs" />
    <Compile Include="Controls\CustomListView.cs" />
    <Compile Include="Controls\CustomWebView.cs" />
    <Compile Include="Controls\ExtendedBoldFontLabel.cs" />
    <Compile Include="Controls\ItalicFontLabel.cs" />
    <Compile Include="Controls\ListButton.cs" />
    <Compile Include="Controls\MyLabel.cs" />
    <Compile Include="Controls\NormalFontLabel.cs" />
    <Compile Include="Controls\SelectControl.cs" />
    <Compile Include="Converters\IconeSecondaryVisibiltyConverter.cs" />
    <Compile Include="Converters\HorlogeStatusConverter.cs" />
    <Compile Include="Converters\Enums.cs" />
    <Compile Include="Converters\ItemVisibilityEventArgstemConverter.cs" />
    <Compile Include="Converters\StringToControlBoleanConverter.cs" />
    <Compile Include="Converters\StringToColorConverter.cs" />
    <Compile Include="Converters\BooleanNegationConverter.cs" />
    <Compile Include="Converters\ColorConvertor.cs" />
    <Compile Include="CommandAction.cs" />
    <Compile Include="ContentViews\CalndarContentView.cs" />
    <Compile Include="ContentViews\PlatstatusContentView.cs" />
    <Compile Include="ContentViews\ModifierStockContentView.cs" />
    <Compile Include="ContentViews\PopInView.cs" />
    <Compile Include="ContentViews\PopUpheader.cs" />
    <Compile Include="ContentViews\YesNoContentView.cs" />
    <Compile Include="Controls\AdvancedPicker.cs" />
    <Compile Include="Controls\Calendar.cs" />
    <Compile Include="Controls\CustomEntry.cs" />
    <Compile Include="Controls\CustomLabel.cs" />
    <Compile Include="Controls\AlternateBurger.cs" />
    <Compile Include="Controls\dottedLabel.cs" />
    <Compile Include="Controls\ExtendedLabel.cs" />
    <Compile Include="Controls\CustomEditor.cs" />
    <Compile Include="Controls\CustomPlusPicker.cs" />
    <Compile Include="Controls\RoundedBoxView.cs" />
    <Compile Include="Controls\RoundedButton.cs" />
    <Compile Include="Controls\ImageButton.cs" />
    <Compile Include="Controls\ImageSourceConverter.cs" />
    <Compile Include="Controls\Carousel.cs" />
    <Compile Include="Controls\Field.cs" />
    <Compile Include="Controls\Picker.cs" />
    <Compile Include="Controls\RepeaterView.cs" />
    <Compile Include="Controls\TouchContentView.cs" />
    <Compile Include="Controls\CustomButton.cs" />
    <Compile Include="Converters\StringFontSizeConverter.cs" />
    <Compile Include="Converters\HtmlSourceConverter.cs" />
    <Compile Include="IGestureService.cs" />
    <Compile Include="Gestures.cs" />
    <Compile Include="Controls\Validation.cs" />
    <Compile Include="Controls\ValidationMessage.cs" />
    <Compile Include="Converters\DelegateConverter.cs" />
    <Compile Include="Extensions.cs" />
    <Compile Include="FrameworkXamarinForms.cs" />
    <Compile Include="Converters\ImageNameConverter.cs" />
    <Compile Include="NavigationPageInteractionService.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Properties\Resources.fr.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.fr.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Converters\ExpressionConverter.cs" />
    <Compile Include="Converters\EnumConverter.cs" />
    <Compile Include="Converters\FontSizeConverter.cs" />
    <Compile Include="Converters\ReverseBooleanConverter.cs" />
    <Compile Include="Converters\StringToUpperConverter.cs" />
    <Compile Include="RssFeedReader.cs" />
    <Compile Include="ThemeName.cs" />
    <Compile Include="Themes\IThemeServiceXamarin.cs" />
    <Compile Include="Themes\ThemeService.cs" />
    <Compile Include="BindableObjectExtensions.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\Resources.fr.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.fr.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="image-not-available.jpg" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\bullet.png" />
    <EmbeddedResource Include="Images\bullet2.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\left.png" />
    <EmbeddedResource Include="Images\right.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\dropdown.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\Bullet360.png" />
    <EmbeddedResource Include="Images\BulletInsp.png" />
    <EmbeddedResource Include="Images\BulletInspE.png" />
    <EmbeddedResource Include="Images\BulletSodexo.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\BulletSco.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\Info.png" />
    <EmbeddedResource Include="Images\Success.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\Error.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\Error360.png" />
    <EmbeddedResource Include="Images\ErrorInsp.png" />
    <EmbeddedResource Include="Images\ErrorInspE.png" />
    <EmbeddedResource Include="Images\ErrorSco.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\Info360.png" />
    <EmbeddedResource Include="Images\InfoInsp.png" />
    <EmbeddedResource Include="Images\InfoInspE.png" />
    <EmbeddedResource Include="Images\InfoSco.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\Success360.png" />
    <EmbeddedResource Include="Images\SuccessInsp.png" />
    <EmbeddedResource Include="Images\SuccessInspE.png" />
    <EmbeddedResource Include="Images\SuccessSco.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\jauge.png" />
    <EmbeddedResource Include="Images\left_zest.png" />
    <EmbeddedResource Include="Images\order_add.png" />
    <EmbeddedResource Include="Images\order_add360.png" />
    <EmbeddedResource Include="Images\order_addCity.png" />
    <EmbeddedResource Include="Images\order_addInsp.png" />
    <EmbeddedResource Include="Images\order_addInspEdu.png" />
    <EmbeddedResource Include="Images\order_addSco.png" />
    <EmbeddedResource Include="Images\order_delete.png" />
    <EmbeddedResource Include="Images\order_exclamation.png" />
    <EmbeddedResource Include="Images\picker.png" />
    <EmbeddedResource Include="Images\picker360.png" />
    <EmbeddedResource Include="Images\pickerCity.png" />
    <EmbeddedResource Include="Images\pickerInsp.png" />
    <EmbeddedResource Include="Images\pickerInspEdu.png" />
    <EmbeddedResource Include="Images\pickerSco.png" />
    <EmbeddedResource Include="Images\right_zest.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\BulletCity.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\ErrorCity.png" />
    <EmbeddedResource Include="Images\InfoCity.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\SuccessCity.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\Gerant\Close.png" />
    <EmbeddedResource Include="Images\Gerant\Close360.png" />
    <EmbeddedResource Include="Images\Gerant\CloseCity.png" />
    <EmbeddedResource Include="Images\Gerant\CloseInsp.png" />
    <EmbeddedResource Include="Images\Gerant\CloseInspEdu.png" />
    <EmbeddedResource Include="Images\Gerant\CloseSco.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\Gerant\Basket.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\Gerant\arrow.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\dottedLineImage.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\calendar_left.png" />
    <EmbeddedResource Include="Images\calendar_right.png" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\CaseCoche.png" />
    <EmbeddedResource Include="Images\CaseNonCoche.png" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="Xamarin.Forms.Core">
      <HintPath>..\..\..\packages\Xamarin.Forms.2.3.0.107\lib\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.Core.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Forms.Platform">
      <HintPath>..\..\..\packages\Xamarin.Forms.2.3.0.107\lib\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.Platform.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Forms.Xaml">
      <HintPath>..\..\..\packages\Xamarin.Forms.2.3.0.107\lib\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.Xaml.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Images\Disquette.png" />
  </ItemGroup>
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\Portable\$(TargetFrameworkVersion)\Microsoft.Portable.CSharp.targets" />
  <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('$(SolutionDir)\.nuget\NuGet.targets')" Text="$([System.String]::Format('$(ErrorText)', '$(SolutionDir)\.nuget\NuGet.targets'))" />
    <Error Condition="!Exists('..\packages\Xamarin.Forms.2.3.0.107\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\Xamarin.Forms.2.3.0.107\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets'))" />
    <Error Condition="!Exists('..\..\..\packages\Xamarin.Forms.2.3.0.107\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\..\..\packages\Xamarin.Forms.2.3.0.107\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets'))" />
  </Target>
  <Import Project="..\packages\Xamarin.Forms.2.3.0.107\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets" Condition="Exists('..\packages\Xamarin.Forms.2.3.0.107\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets')" />
  <Import Project="..\..\..\packages\Xamarin.Forms.2.3.0.107\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets" Condition="Exists('..\..\..\packages\Xamarin.Forms.2.3.0.107\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets')" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>